<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1adsl.html">adsl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1adsl_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">MockDirectiveHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::adsl::test::MockDirectiveHandler Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a7b70eacac868a59404cd2cbde1489f31">cancelDirective</a>(const std::string &amp;messageId)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a169b6749fd5c39766d3cf306077201d5">create</a>(avsCommon::avs::DirectiveHandlerConfiguration config, std::chrono::milliseconds handlingTimeMs=DEFAULT_HANDLING_TIME_MS)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a0ddf224875c9453bab9e1f8cdcc76fe3">DEFAULT_DONE_TIMEOUT_MS</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a727fc850a0d58acfe6a1f29f908044a8">DEFAULT_HANDLING_TIME_MS</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#aef961ebbeadef8ad00ba30f65b40b109">doHandleDirective</a>(const std::string &amp;messageId)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#af4ea68a7589126a35c3d2f0ac0a594e7">doHandlingCompleted</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#ad83543b7318d7aaa9dd5c71d558bc6c2">doHandlingFailed</a>(const std::string &amp;messageId)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#ae409f0cbaf507c5b3a584fd10f5d55a5">doPreHandlingFailed</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive, std::shared_ptr&lt; avsCommon::sdkInterfaces::DirectiveHandlerResultInterface &gt; result)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a9a4151577d823b1e991af340c233441b">getConfiguration</a>() const =0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#aa3de8075443d7a91320405946556c853">handleDirective</a>(const std::string &amp;messageId)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a517f1f6ceeba26da9dd071b9ad3dc390">handleDirectiveImmediately</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a4c5330b70bef32e2f8ad420e04e41788">m_cancelingFuture</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#abe43c77987d235909f4d8f76afcbd53a">m_cancelingPromise</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a062aaeba9690cd8b607b5a638d546f56">m_completedFuture</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a7e0423c2202447af6e0b4c9827cf648f">m_completedPromise</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a2d10a97d7731c80b8c0190950b035381">m_directive</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#aea709395d62d74cbc61ac7c23d6d5b29">m_doHandleDirectiveThread</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a42730268565384b031153d45d4be0a83">m_handlingFuture</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a570c19b5c4f66d408f4e8ea93491408e">m_handlingPromise</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a85484f182f140270b87388528d84c22d">m_handlingTimeMs</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a7eb27945c94777149dfe68c1d6c48398">m_isCompleted</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#ae79303bcd2f6b6cc1288c0ff093b6a65">m_isShuttingDown</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#abf8fdbb3b22a8bff7a3b695055d27283">m_mutex</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a16b47ed4501b5724dd87a08a0728c1e5">m_preHandlingFuture</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a2e44386238368b1c0779ee62f58629bf">m_preHandlingPromise</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#ae067f95497e3e900652ccbf592036566">m_result</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#ab0474c9af0707d719861d5b1d90d53b0">m_wakeNotifier</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#acc4fb6a60039b8cdf39bec258c66daea">MOCK_CONST_METHOD0</a>(getConfiguration, avsCommon::avs::DirectiveHandlerConfiguration())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a50bb201dd342b7a1e98b0f2ad5bd0d75">MOCK_METHOD0</a>(onDeregistered, void())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#ad42521003a09d6fb76a3120349d937a2">MOCK_METHOD1</a>(handleDirectiveImmediately, void(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt;))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a8bc97b17ec88833d508bd83a88ca9e58">MOCK_METHOD1</a>(handleDirective, bool(const std::string &amp;))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a5d2b9b940aac221d7e326b87b81bd57f">MOCK_METHOD1</a>(cancelDirective, void(const std::string &amp;))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#ade0cb40bed2f8a0c361f694d5f344c06">MOCK_METHOD2</a>(preHandleDirective, void(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt;, std::shared_ptr&lt; avsCommon::sdkInterfaces::DirectiveHandlerResultInterface &gt;))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a957f48905f4b03573dc539e0d6635378">mockCancelDirective</a>(const std::string &amp;messageId)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#ac9801f1efe494ed4b85eb1cb87d5d01d">MockDirectiveHandler</a>(avsCommon::avs::DirectiveHandlerConfiguration config, std::chrono::milliseconds handlingTimeMs)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a7e77aa4d4171eb11ca93484ecce442b5">mockHandleDirective</a>(const std::string &amp;messageId)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#acc98cf6203aad39bca29dd2ae52cdce5">mockHandleDirectiveImmediately</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a4f4cf92260add9d5e8678f8129a541ee">mockOnDeregistered</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a224760285e07d158a4f27147f6120596">mockPreHandleDirective</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive, std::shared_ptr&lt; avsCommon::sdkInterfaces::DirectiveHandlerResultInterface &gt; result)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#aad30d3ffcd120787b94799b2009e3369">onDeregistered</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_handler_mock_adapter.html#a206c1202ff746abfcf23b7d7ca2cb9d1">preHandleDirective</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive, std::unique_ptr&lt; avsCommon::sdkInterfaces::DirectiveHandlerResultInterface &gt; result) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_handler_mock_adapter.html">alexaClientSDK::adsl::test::DirectiveHandlerMockAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_handler_mock_adapter.html#af9f6507ffc1a085de6e8083a3bd2a37b">preHandleDirective</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive, std::shared_ptr&lt; avsCommon::sdkInterfaces::DirectiveHandlerResultInterface &gt; result)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_handler_mock_adapter.html">alexaClientSDK::adsl::test::DirectiveHandlerMockAdapter</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a9bfec681151c104a12274fde87ff507d">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface::preHandleDirective</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive, std::unique_ptr&lt; DirectiveHandlerResultInterface &gt; result)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a762bbc92d0592e48720d905e187de01d">shutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a88db3150f75ed2965225c1344d8c9ff3">waitUntilCanceling</a>(std::chrono::milliseconds timeout=DEFAULT_DONE_TIMEOUT_MS)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a98d6404f3b70daf0450ecdd5f72d4a17">waitUntilCompleted</a>(std::chrono::milliseconds timeout=DEFAULT_DONE_TIMEOUT_MS)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a2e8ca3ab0feae2a3a1120f92a69669e4">waitUntilHandling</a>(std::chrono::milliseconds timeout=DEFAULT_DONE_TIMEOUT_MS)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#a79b77cd37732843891b8162aa457880a">waitUntilPreHandling</a>(std::chrono::milliseconds timeout=DEFAULT_DONE_TIMEOUT_MS)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a0aa03b6867e8b6e44b8c1b8df93c2d5c">~DirectiveHandlerInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html#ad84fbd231ce40ba502fbd7dca38b8944">~MockDirectiveHandler</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">alexaClientSDK::adsl::test::MockDirectiveHandler</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
